@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO        Clear Lazarus Runtime Settings 
ECHO ----------------------------------------------------------

IF EXIST %LAZDIR%\xxlazarusWin32.txt (

  IF EXIST "%LAZDIR%\bin32\settings" (
    rmdir /S /Q %LAZDIR%\bin32\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
    ECHO INFO: Lazarus32 Settings for Windows Removed OK
    mkdir %LAZDIR%\bin32\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
  )   
  GOTO END
  
)


IF EXIST %LAZDIR%\xxlazarusWin64.txt (

  IF EXIST "%LAZDIR%\bin64\settings" (
    rmdir /S /Q "%LAZDIR%\bin64\settings"
    IF NOT ERRORLEVEL 0 GOTO ERROR
    ECHO INFO: Lazarus64 Settings for Windows Removed OK
    mkdir %LAZDIR%\bin64\settings
    IF NOT ERRORLEVEL 0 GOTO ERROR
  )
   
) 

GOTO END

:ERROR
echo ERORR %0
SET CTERR=1

:END


