@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO -------------------------------------------------------
ECHO               Extract FreePascal Source 
ECHO -------------------------------------------------------

if EXIST ..\binZips\fpc_src.zip (
  ..\binTools\win32\7za.exe x ..\binZips\fpc_src.zip -o"%FPCDIR%" -y
  IF NOT ERRORLEVEL 0 GOTO ERROR
  ECHO.
  ECHO -------------------------------------------------------
  ECHO              Copy FreePascal MOD Things...
  ECHO -------------------------------------------------------
  ECHO.
  xcopy /E /R /Y ..\binMOD\pp "%FPCDIR%\"
  IF NOT ERRORLEVEL 0 GOTO ERROR
) ELSE (
  ECHO ERROR: FreePascal Source Zip File NOT EXIST !!!!!!!!!!! 
)

GOTO END

:ERROR
echo ERROR %0
SET CTERR=1
:END
