@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################



CALL x_Lazarus_Strip
IF NOT %CTERR%.==. GOTO ERROR


REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win32 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST %LAZDIR%\xxlazarusWin32.txt (

IF NOT EXIST ..\binSettings\win32\lazarus\ (
mkdir ..\binSettings\win32\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)
 

IF EXIST "%LAZDIR%\bin32" (
ECHO.
ECHO -----------------------------------------------------------
ECHO     Lazarus32 Save -Default- Settings for Windows 
ECHO -----------------------------------------------------------
xcopy /E /R /Y "%LAZDIR%\bin32\settings" ..\binSettings\win32\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

del /F /Q ..\binSettings\win32\lazarus\packageeditorlayouts.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win32\lazarus\idemake.cfg
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win32\lazarus\includelinks.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win32\lazarus\protocol.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win32\lazarus\pl_ExtentIDEcfg.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win32\lazarus\codetoolsoptions.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
rmdir /S /Q ..\binSettings\win32\lazarus\projectsessions
IF NOT ERRORLEVEL 0 GOTO ERROR
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win64 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST %LAZDIR%\xxlazarusWin64.txt (

IF NOT EXIST ..\binSettings\win64\lazarus\ (
mkdir ..\binSettings\win64\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)

IF EXIST "%LAZDIR%\bin64" (
ECHO.
ECHO -----------------------------------------------------------
ECHO    Lazarus64 Save -Default- Settings for Windows
ECHO -----------------------------------------------------------
xcopy /E /R /Y "%LAZDIR%\bin64\settings" ..\binSettings\win64\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

del /F /Q ..\binSettings\win64\lazarus\packageeditorlayouts.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win64\lazarus\idemake.cfg
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win64\lazarus\includelinks.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win64\lazarus\protocol.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win64\lazarus\pl_ExtentIDEcfg.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q ..\binSettings\win64\lazarus\codetoolsoptions.xml
IF NOT ERRORLEVEL 0 GOTO ERROR
rmdir /S /Q ..\binSettings\win64\lazarus\projectsessions
IF NOT ERRORLEVEL 0 GOTO ERROR
)

GOTO END

:ERROR

echo an error occured !  %0
SET CTERR=1
:END
