@ECHO OFF
IF NOT %CTERR%.==. GOTO END

Rem Allows for conditional operations in batch processing.
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO                  Strip Lazarus
ECHO ----------------------------------------------------------

IF NOT EXIST %LAZDIR%\lazarus.exe (
ECHO INFO: Lazarus.exe NOT EXIST !!!
GOTO ERROR
)

IF EXIST %LAZDIR%\xxlazarusWin32.txt (
%FPCDIR%\bin\i386-win32\Strip %LAZDIR%\lazarus.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\i386-win32\Strip %LAZDIR%\startlazarus.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\i386-win32\Strip %LAZDIR%\lazbuild.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\i386-win32\Strip %LAZDIR%\tools\svn2revisioninc.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: Lazarus for win32 Striped OK
)

IF EXIST %LAZDIR%\xxlazarusWin64.txt (
%FPCDIR%\bin\x86_64-win64\Strip %LAZDIR%\lazarus.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\x86_64-win64\Strip %LAZDIR%\startlazarus.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\x86_64-win64\Strip %LAZDIR%\lazbuild.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
%FPCDIR%\bin\x86_64-win64\Strip %LAZDIR%\tools\svn2revisioninc.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: Lazarus for Win64 Striped OK
)

IF EXIST %LAZDIR%\lazarus.old.exe (
del /F /Q %LAZDIR%\lazarus.old.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
)

REM del /F /Q %LAZDIR%\*.o
REM del /F /Q %LAZDIR%\*.ppu

GOTO END

:ERROR
echo an error happended ! %0
SET CTERR=1
:END

