@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################


CALL x_Lazarus_Strip
IF NOT %CTERR%.==. GOTO ERROR


REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win32 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST %LAZDIR%\xxlazarusWin32.txt (

IF NOT EXIST ..\binSettings\win32user\lazarus\ (
mkdir ..\binSettings\win32user\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)


IF EXIST "%LAZDIR%\bin32" (
ECHO.
ECHO ----------------------------------------------------------
ECHO    Lazarus32 Save -User- Settings for Windows 
ECHO ----------------------------------------------------------
xcopy /E /R /Y "%LAZDIR%\bin32\settings" ..\binSettings\win32user\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

ECHO.
ECHO ------- Copy Laz32 Executables to User Settings ----------
copy /Y %LAZDIR%\lazarus.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y %LAZDIR%\startlazarus.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y %LAZDIR%\lazbuild.exe ..\binSettings\win32user\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

REM @@@@@@@@@@@@@@@@@@@@@@@@@@@@@ For Win64 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

IF EXIST %LAZDIR%\xxlazarusWin64.txt (

IF NOT EXIST ..\binSettings\win64user\lazarus\ (
mkdir ..\binSettings\win64user\lazarus
IF NOT ERRORLEVEL 0 GOTO ERROR
)

IF EXIST "%LAZDIR%\bin64" (
ECHO.
ECHO ----------------------------------------------------------
ECHO    Lazarus64 Save -User- Settings for Windows 
ECHO ----------------------------------------------------------
xcopy /E /R /Y "%LAZDIR%\bin64\settings" ..\binSettings\win64user\lazarus\
IF NOT ERRORLEVEL 0 GOTO ERROR
)
ECHO.
ECHO ------- Copy Laz64 Executables to User Settings ----------
copy /Y %LAZDIR%\lazarus.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y %LAZDIR%\startlazarus.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
copy /Y %LAZDIR%\lazbuild.exe ..\binSettings\win64user\
IF NOT ERRORLEVEL 0 GOTO ERROR
)

GOTO END
:ERROR
echo ERROR %0
SET CTERR=1
:END
