@ECHO OFF
IF NOT %CTERR%.==. GOTO END
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
ECHO  Please wait... Removing All Lazarus Parts
ECHO ///////////////////////////////////////////

REM #############################################################

IF EXIST %LAZDIR% (
rmdir /S /Q %LAZDIR%
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: lazarus Directory Removed OK
) ELSE (
ECHO INFO: lazarus Directory NOT EXIST !!!
)

IF EXIST %LAZTEMP% (
rmdir /S /Q %LAZTEMP%
IF NOT ERRORLEVEL 0 GOTO ERROR
ECHO INFO: lazarusTemp Directory Removed OK
) ELSE (
ECHO INFO: lazarusTemp Directory NOT EXIST !!!
)

REM #############################################################

CALL x_Lazarus_Settings_Clear.bat
IF NOT %CTERR%.==. GOTO ERROR
CALL x_Lazarus_User_Settings_Clear.bat
IF NOT %CTERR%.==. GOTO ERROR

REM #############################################################

IF EXIST ..\binSettings\win32\lazarus.exe (
del /F /Q ..\binSettings\win32\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
) 

IF EXIST ..\binSettings\win64\lazarus.exe (
del /F /Q ..\binSettings\win64\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
)

REM #############################################################
ECHO.
ECHO INFO: Lazarus removed from disk OK

GOTO END

:ERROR
echo some error happened %0
SET CTERR=1

:END
